# ------------------------------------------------------------------------
# 	Makefile for demos 
# ------------------------------------------------------------------------

include ../win/makedefs

destdir =	$(scriptdir)/demos
srcdir =	.

SHELL =		bash
RM =		rm -rf
INSTALL =	install -m 0755
INSTALL_DATA =	install -m 0644

instdirs =	$(prefix) $(exec_prefix) $(libdir) $(scriptdir) $(destdir) \
		$(destdir)/bitmaps $(destdir)/images

scripts1 =	_barchart2.tcl _bgtest.tcl _demo.tcl \
		_graph1.tcl _graph2.tcl _graph3.tcl _graph5.tcl \
		_patterns.tcl \
		_ps.tcl \
		page.tcl \
		htext.txt

scripts2 =	barchart1 barchart2 barchart3 barchart4 barchart5 \
		bgexec1 bgexec2 bgexec3 bgexec4 \
		bitmap \
		busy1 \
		calendar \
		dragdrop1 dragdrop2 \
		eps \
		form \
		graph1 graph2 graph3 graph4 graph5 graph6 graph7 \
		hier1 hier2 hier3 hier4 \
		htext1 \
		spline stripchart1 \
		tabset1 tabset2 tabset3 tabset4 

images  =	buckskin.gif chalk.gif clouds.gif corrugated_metal.gif \
		folder.gif mini-book1.gif mini-book2.gif mini-display.gif \
		mini-doc.gif mini-filemgr.gif mini-ofolder.gif \
		mini-windows.gif ofolder.gif qv100.t.gif rain.gif \
		smblue_rock.gif stopsign.gif tan_paper.gif tan_paper2.gif \
		txtrflag.gif out.ps

bitmaps	=	eyes.bm face fc_left fc_left1 fc_left1m fc_leftm fc_mid \
		fc_midm fc_right fc_right1 fc_right1m fc_rightm greenback \
		hobbes.xbm hobbes_mask.xbm sharky.bm xbob.bm

all:

install: inst-dirs inst-bitmaps inst-images inst-scripts

inst-scripts: 
	for i in $(scripts2) ; do \
            $(INSTALL) $(srcdir)/$$i $(destdir)/$$i.tcl ; \
	done 
	for i in $(scripts1) ; do \
            $(INSTALL) $(srcdir)/$$i $(destdir)/$$i ; \
	done 

inst-bitmaps: 
	for i in $(bitmaps) ; do \
	    $(INSTALL_DATA) $(srcdir)/bitmaps/$$i $(destdir)/bitmaps ; \
	done 

inst-images: 
	for i in $(images) ; do \
	    $(INSTALL_DATA) $(srcdir)/images/$$i $(destdir)/images ; \
	done 

inst-dirs:
	@for i in $(instdirs) ; do \
	    if test -d "$$i" ; then : ; else mkdir "$$i" ; fi ; \
        done

clean:
	$(RM) $(srcdir)/*.bak $(srcdir)/*\~ $(srcdir)/"#"* 

distclean: clean
	$(RM) Makefile
