# ------------------------------------------------------------------------
# 	Makefile for library files and directories of BLT library
# ------------------------------------------------------------------------

include ../win/makedefs

INSTALL =	install -m 0755
INSTALL_DATA =	install -m 0644
RM =		rm -f
SHELL =		bash
srcdir =	.
miscFiles =	bltCanvEps.pro bltGraph.pro \
		bltDnd.tcl bltGraph.tcl bltHier.tcl bltTabset.tcl \
		tclIndex 

ddFiles =	dd-color.tcl dd-file.tcl dd-number.tcl dd-text.tcl tclIndex

instdirs =	$(prefix) $(exec_prefix) $(libdir) \
		$(scriptdir) \
		$(scriptdir)/dd_protocols \
		$(libdir)/tcl8.0 \
		$(libdir)/tcl8.0/blt$(BLT_VERSION)
all: 

install: install-dirs install-ddfiles install-files install-pkgIndex

install-dirs:
	@for i in $(instdirs) ; do \
	    if test -d "$$i" ; then : ; else mkdir "$$i" ; fi ; \
        done

install-ddfiles: install-dirs
	for i in $(ddFiles) ; do \
	    $(INSTALL_DATA) $(srcdir)/dd_protocols/$$i $(scriptdir)/dd_protocols ; \
	done 

install-files: install-dirs
	for i in $(miscFiles) ; do \
	    $(INSTALL_DATA) $(srcdir)/$$i $(scriptdir) ; \
	done 

install-pkgIndex: install-dirs
	$(INSTALL_DATA) pkgIndex.win32 $(scriptdir)/pkgIndex.tcl
	$(INSTALL_DATA) pkgIndex.win32 $(libdir)/tcl8.0/blt$(BLT_VERSION)/pkgIndex.tcl

clean:
	$(RM) pkgIndex.tcl
	
distclean: clean
	$(RM) $(srcdir)/*.bak $(srcdir)/*\~ $(srcdir)/"#"* Makefile
